## kgeotag 1.4.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2023 Tobias Leupold <tl at stonemx dot de>
#
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16.0)
project(kgeotag LANGUAGES CXX VERSION 1.4.0)

set(QT_MIN_VERSION "5.12")
set(KF5_MIN_VERSION "5.68")
set(KExiv2_MIN_VERSION "5.0.0")
#FIXME: This can be set to 21.12.0 when Ubuntu LTS et al include this version.
set(Marble_MIN_VERSION "")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")

# Create a debugMode.h file according to the requested CMAKE_BUILD_TYPE
if (CMAKE_BUILD_TYPE MATCHES Debug)
    message(STATUS "Enabling extra checks for CMAKE_BUILD_TYPE=Debug mode")
    set(DEBUG_MODE ON)
endif()
configure_file(${CMAKE_SOURCE_DIR}/src/debugMode.h.in ${CMAKE_BINARY_DIR}/debugMode.h)

# Local CMake modules
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Find ECM
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(KDE_COMPILERSETTINGS_LEVEL "5.68")
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)

# Find Qt
find_package(Qt5 ${QT_MIN_VERSION} COMPONENTS Widgets Network REQUIRED)
set(CMAKE_AUTOMOC ON)
add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_DEPRECATED_WARNINGS
    -DQT_STRICT_ITERATORS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050B00
)

# Find KDE
find_package(KF5 ${KF5_MIN_VERSION}
    COMPONENTS CoreAddons I18n XmlGui ConfigWidgets Crash DocTools
    REQUIRED
)

# Find KExiv2
find_package(KF5KExiv2 ${KExiv2_MIN_VERSION} REQUIRED)
if (${KF5KExiv2_FOUND})
    message(STATUS "Found KExiv2 version ${KF5KExiv2_VERSION}")
endif()

# Find Marble
find_package(Marble ${Marble_MIN_VERSION} REQUIRED)
if (${Marble_FOUND})
    message(STATUS "Found Marble version ${Marble_VERSION}")
endif()

# Generate version.h
add_custom_target(
    UpdateVersion ALL
    COMMAND ${CMAKE_COMMAND} -DBASE_DIR=${CMAKE_SOURCE_DIR} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
                             -DPROJECT_VERSION="${PROJECT_VERSION}"
                             -P ${CMAKE_SOURCE_DIR}/cmake/UpdateVersion.cmake
    COMMENT "Updating version header"
    BYPRODUCTS ${CMAKE_BINARY_DIR}/version.h
)

# Source files
set(main_ROOT ${CMAKE_SOURCE_DIR}/src)
set(kgeotag_SOURCES
    ${main_ROOT}/main.cpp
    ${main_ROOT}/SharedObjects.cpp
    ${main_ROOT}/Settings.cpp
    ${main_ROOT}/MainWindow.cpp
    ${main_ROOT}/PreviewWidget.cpp
    ${main_ROOT}/MapWidget.cpp
    ${main_ROOT}/ImagePreview.cpp
    ${main_ROOT}/SettingsDialog.cpp
    ${main_ROOT}/FixDriftWidget.cpp
    ${main_ROOT}/GpxEngine.cpp
    ${main_ROOT}/ElevationEngine.cpp
    ${main_ROOT}/BookmarksList.cpp
    ${main_ROOT}/BookmarksWidget.cpp
    ${main_ROOT}/CoordinatesDialog.cpp
    ${main_ROOT}/CoordinatesFormatter.cpp
    ${main_ROOT}/RetrySkipAbortDialog.cpp
    ${main_ROOT}/ImagesModel.cpp
    ${main_ROOT}/ImagesListView.cpp
    ${main_ROOT}/ImagesListFilter.cpp
    ${main_ROOT}/Coordinates.cpp
    ${main_ROOT}/AutomaticMatchingWidget.cpp
    ${main_ROOT}/MimeHelper.cpp
    ${main_ROOT}/ImagesLayer.cpp
    ${main_ROOT}/TracksLayer.cpp
    ${main_ROOT}/MapCenterInfo.cpp
    ${main_ROOT}/GeoDataModel.cpp
    ${main_ROOT}/TracksListView.cpp
    ${main_ROOT}/TrackWalker.cpp
    ${main_ROOT}/Logging.cpp
)

# Build the executable
add_executable(kgeotag ${kgeotag_SOURCES})
add_dependencies(kgeotag UpdateVersion)
target_link_libraries(kgeotag
    PRIVATE
    Qt5::Widgets
    Qt5::Network
    KF5::CoreAddons
    KF5::I18n
    KF5::XmlGui
    KF5::ConfigWidgets
    KF5::Crash
    KF5::KExiv2
    Marble
)

# Documentation
kdoctools_create_handbook(
    doc/index.docbook
    INSTALL_DESTINATION "${KDE_INSTALL_DOCBUNDLEDIR}/en"
    SUBDIR kgeotag
)

# Installation

install(TARGETS kgeotag ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_install_icons(
    ICONS icons/16-apps-kgeotag.png
          icons/22-apps-kgeotag.png
          icons/32-apps-kgeotag.png
          icons/48-apps-kgeotag.png
          icons/64-apps-kgeotag.png
          icons/128-apps-kgeotag.png
    DESTINATION ${KDE_INSTALL_ICONDIR})

install(FILES "timezones/timezones.png"
              "timezones/timezones.json"
        DESTINATION "${KDE_INSTALL_DATADIR}/kgeotag")

install(FILES kgeotagui.rc DESTINATION "${KDE_INSTALL_KXMLGUI5DIR}/kgeotag")
install(PROGRAMS org.kde.kgeotag.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kgeotag.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== debian/changelog ===
kgeotag (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.12.0
    - bump KF packages to 5.68.0
    - drop version requirement for libmarble-dev
    - explicitly add gettext
  * Small updates to copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Jan 2023 10:00:30 +0100

kgeotag (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Drop the qtwebengine5-dev build dependency, not used directly.
  * Update standards version to 4.6.2, no changes needed.
  * Rename debian/lintian-overrides to debian/kgeotag.lintian-overrides,
    to make it clearer to which package it refers to.

 -- Pino Toscano <pino@debian.org>  Wed, 25 Jan 2023 20:54:36 +0100

kgeotag (1.3.1-1) unstable; urgency=medium

  [ Matthias Geiger ]
  * Initial release. (Closes: #1008238)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 20 Dec 2022 15:08:15 +0100

=== debian/control ===
Source: kgeotag
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5kexiv2-dev (>= 5.0.0~),
               libkf5xmlgui-dev (>= 5.68.0~),
               libmarble-dev,
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.6.2
Homepage: https://kgeotag.kde.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kgeotag
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kgeotag.git
Rules-Requires-Root: no

Package: kgeotag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Photo geotagging program
 Images can be associated with geographic coordinates (geotagging) by different
 means: On the one hand, a matching with GPX encoded geodata can be done, on
 the other hand, the coordinates can be set manually, either via drag and drop
 onto a map, via bookmarks or by manually supplying them.
 .
 The coordinates can be stored in the images' Exif header and/or in XMP sidecar
 files.

## kgeotag 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# SPDX-FileCopyrightText: 2020-2023 Tobias Leupold <tl at stonemx dot de>
+# SPDX-FileCopyrightText: 2020-2024 Tobias Leupold <tl at stonemx dot de>
 #
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16.0)
-project(kgeotag LANGUAGES CXX VERSION 1.4.0)
+project(kgeotag LANGUAGES CXX VERSION 1.5.0)
 
 set(QT_MIN_VERSION "5.12")
 set(KF5_MIN_VERSION "5.68")
@@ -109,6 +109,8 @@
     ${main_ROOT}/Logging.cpp
 )
 
+qt_add_resources(kgeotag_SOURCES ${CMAKE_SOURCE_DIR}/kgeotag.qrc)
+
 # Build the executable
 add_executable(kgeotag ${kgeotag_SOURCES})
 add_dependencies(kgeotag UpdateVersion)
@@ -149,13 +151,7 @@
               "timezones/timezones.json"
         DESTINATION "${KDE_INSTALL_DATADIR}/kgeotag")
 
-install(FILES kgeotagui.rc DESTINATION "${KDE_INSTALL_KXMLGUI5DIR}/kgeotag")
 install(PROGRAMS org.kde.kgeotag.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.kgeotag.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 ki18n_install(po)
-
-  find_package(KF5DocTools CONFIG)
-  if(KF5DocTools_FOUND)
-    kdoctools_install(po)
-  endif()

=== debian/changelog ===
kgeotag (1.5.0-1ubuntu3.1) noble; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2065915)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 12 Jul 2024 04:24:46 -0700

kgeotag (1.5.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:04:51 +1100

kgeotag (1.5.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:57:14 +0000

kgeotag (1.5.0-1ubuntu1) noble; urgency=medium

  * Add apparmor profile to fix userns. Ref: (LP: #2046844) 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 15 Feb 2024 00:06:50 -0700

kgeotag (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Minor comment updates in lintian overrides.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2024 11:04:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: kgeotag
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
+               dh-apparmor,
                cmake (>= 3.16.0~),
                extra-cmake-modules (>= 5.68.0~),
                gettext,
@@ -19,13 +21,14 @@
                qtbase5-dev (>= 5.12.0~),
 Standards-Version: 4.6.2
 Homepage: https://kgeotag.kde.org
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kgeotag
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kgeotag.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgeotag
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgeotag
 Rules-Requires-Root: no
 
 Package: kgeotag
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: apparmor
 Description: Photo geotagging program
  Images can be associated with geographic coordinates (geotagging) by different
  means: On the one hand, a matching with GPX encoded geodata can be done, on

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	mkdir -p debian/kgeotag/etc/apparmor.d
	cp debian/kgeotag-apparmor debian/kgeotag/etc/apparmor.d/usr.bin.kgeotag
	dh_apparmor --profile-name=usr.bin.kgeotag -pkgeotag

## kgeotag 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16.0)
-project(kgeotag LANGUAGES CXX VERSION 1.5.0)
+project(kgeotag LANGUAGES CXX VERSION 1.6.0)
 
 set(QT_MIN_VERSION "5.12")
 set(KF5_MIN_VERSION "5.68")
@@ -107,9 +107,10 @@
     ${main_ROOT}/TracksListView.cpp
     ${main_ROOT}/TrackWalker.cpp
     ${main_ROOT}/Logging.cpp
+    ${main_ROOT}/DegreesConverter.cpp
 )
 
-qt_add_resources(kgeotag_SOURCES ${CMAKE_SOURCE_DIR}/kgeotag.qrc)
+qt5_add_resources(kgeotag_SOURCES ${CMAKE_SOURCE_DIR}/kgeotag.qrc)
 
 # Build the executable
 add_executable(kgeotag ${kgeotag_SOURCES})

=== debian/changelog ===
kgeotag (1.6.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2024 12:50:31 +0000

kgeotag (1.6.0-1) unstable; urgency=medium

  * Update upstream signing key
  * Updated my mail address in d/control and d/copyright
  * Bump Standards-Version to 4.7.0; no changes needed
  * Updated copyright years for debian/* files

 -- Matthias Geiger <werdahias@debian.org>  Sat, 05 Oct 2024 17:40:44 +0200

kgeotag (1.5.0-1ubuntu4) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 12 Jul 2024 04:32:38 -0700

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5xmlgui-dev (>= 5.68.0~),
                libmarble-dev,
                qtbase5-dev (>= 5.12.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://kgeotag.kde.org
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgeotag
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgeotag

## kgeotag 1.7.0

=== debian/changelog ===
kgeotag (1.7.0-3) unstable; urgency=medium

  * Upload to unstable 

 -- Matthias Geiger <werdahias@debian.org>  Wed, 19 Feb 2025 15:01:31 +0100

kgeotag (1.7.0-2) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Build against Qt6, update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 16:40:00 +0100

kgeotag (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 17 Dec 2024 18:55:35 +0100

=== debian/control ===
Source: kgeotag
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Matthias Geiger <werdahias@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libkexiv2qt6-dev (>= 5.1.0~),
               libkf6configwidgets-dev (>= 6.0~),
               libkf6coreaddons-dev (>= 6.0~),
               libkf6crash-dev (>= 6.0~),
               libkf6doctools-dev (>= 6.0~),
               libkf6i18n-dev (>= 6.0~),
               libkf6xmlgui-dev (>= 6.0~),
               libmarble-dev (>= 4:24.11.70~),
               qt6-base-dev (>= 6.0~),
               qt6-5compat-dev,
Standards-Version: 4.7.0
Homepage: https://kgeotag.kde.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kgeotag
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kgeotag.git
Rules-Requires-Root: no

Package: kgeotag
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Photo geotagging program
 Images can be associated with geographic coordinates (geotagging) by different
 means: On the one hand, a matching with GPX encoded geodata can be done, on
 the other hand, the coordinates can be set manually, either via drag and drop
 onto a map, via bookmarks or by manually supplying them.
 .
 The coordinates can be stored in the images' Exif header and/or in XMP sidecar
 files.

## kgeotag 1.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,48 @@
-# SPDX-FileCopyrightText: 2020-2024 Tobias Leupold <tl at stonemx dot de>
+# SPDX-FileCopyrightText: 2020-2025 Tobias Leupold <tl@stonemx.de>
 #
-# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-License-Identifier: BSD-2-Clause
 
 cmake_minimum_required(VERSION 3.16.0)
-project(kgeotag LANGUAGES CXX VERSION 1.6.0)
-
-set(QT_MIN_VERSION "5.12")
-set(KF5_MIN_VERSION "5.68")
-set(KExiv2_MIN_VERSION "5.0.0")
-#FIXME: This can be set to 21.12.0 when Ubuntu LTS et al include this version.
-set(Marble_MIN_VERSION "")
+project(kgeotag LANGUAGES CXX VERSION 1.8.0)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
+
+# Local CMake modules
+list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
+
+# Find ECM
+find_package(ECM REQUIRED NO_MODULE)
+list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+include(ECMInstallIcons)
+
+# Set appropriate needed versions for a Qt5/KF5 or Qt6/KF6 build
+
+# By default, a Qt5/KF5 build is done. To force a Qt6/KF6 build, set ECM's BUILD_WITH_QT6,
+# i.e. pass -DBUILD_WITH_QT6=ON to your cmake call.
+
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT6 ON)
+else()
+    set(QT6 OFF)
+endif()
+
+if(QT6)
+    set(QT_MIN_VERSION "6.0")
+    set(KF_MIN_VERSION "6.0")
+    set(KExiv2_MIN_VERSION "5.1.0")
+    set(Marble_MIN_VERSION "24.11.70")
+else()
+    set(QT_MIN_VERSION "5.12")
+    set(KF_MIN_VERSION "5.68")
+    set(KExiv2_MIN_VERSION "5.0.0")
+    #FIXME: This can be set to 21.12.0 when Ubuntu LTS et al include this version.
+    set(Marble_MIN_VERSION "")
+endif()
 
 # Create a debugMode.h file according to the requested CMAKE_BUILD_TYPE
 if (CMAKE_BUILD_TYPE MATCHES Debug)
@@ -22,41 +51,48 @@
 endif()
 configure_file(${CMAKE_SOURCE_DIR}/src/debugMode.h.in ${CMAKE_BINARY_DIR}/debugMode.h)
 
-# Local CMake modules
-list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
-
-# Find ECM
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(KDE_COMPILERSETTINGS_LEVEL "5.68")
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
-include(ECMInstallIcons)
-
 # Find Qt
-find_package(Qt5 ${QT_MIN_VERSION} COMPONENTS Widgets Network REQUIRED)
+if(QT6)
+    find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS Widgets Network REQUIRED)
+else()
+    find_package(Qt5 ${QT_MIN_VERSION} COMPONENTS Widgets Network REQUIRED)
+endif()
 set(CMAKE_AUTOMOC ON)
 add_definitions(
     -DQT_NO_CAST_FROM_ASCII
     -DQT_NO_CAST_TO_ASCII
     -DQT_NO_URL_CAST_FROM_STRING
     -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_STRICT_ITERATORS
+    -DQT_NO_CONTEXTLESS_CONNECT
     -DQT_DEPRECATED_WARNINGS
-    -DQT_STRICT_ITERATORS
     -DQT_DISABLE_DEPRECATED_BEFORE=0x050B00
 )
 
 # Find KDE
-find_package(KF5 ${KF5_MIN_VERSION}
-    COMPONENTS CoreAddons I18n XmlGui ConfigWidgets Crash DocTools
-    REQUIRED
-)
+if(QT6)
+    find_package(KF6 ${KF_MIN_VERSION}
+        COMPONENTS CoreAddons I18n XmlGui ConfigWidgets Crash DocTools
+        REQUIRED
+    )
+else()
+    find_package(KF5 ${KF_MIN_VERSION}
+        COMPONENTS CoreAddons I18n XmlGui ConfigWidgets Crash DocTools
+        REQUIRED
+    )
+endif()
 
 # Find KExiv2
-find_package(KF5KExiv2 ${KExiv2_MIN_VERSION} REQUIRED)
-if (${KF5KExiv2_FOUND})
-    message(STATUS "Found KExiv2 version ${KF5KExiv2_VERSION}")
+if(QT6)
+    find_package(KExiv2Qt6 ${KExiv2_MIN_VERSION} REQUIRED)
+    if (${KExiv2Qt6_FOUND})
+        message(STATUS "Found KExiv2 version ${KExiv2Qt6_VERSION}")
+    endif()
+else()
+    find_package(KF5KExiv2 ${KExiv2_MIN_VERSION} REQUIRED)
+    if (${KF5KExiv2_FOUND})
+        message(STATUS "Found KExiv2 version ${KF5KExiv2_VERSION}")
+    endif()
 endif()
 
 # Find Marble
@@ -93,6 +129,7 @@
     ${main_ROOT}/BookmarksWidget.cpp
     ${main_ROOT}/CoordinatesDialog.cpp
     ${main_ROOT}/CoordinatesFormatter.cpp
+    ${main_ROOT}/CoordinatesParser.cpp
     ${main_ROOT}/RetrySkipAbortDialog.cpp
     ${main_ROOT}/ImagesModel.cpp
     ${main_ROOT}/ImagesListView.cpp
@@ -110,30 +147,45 @@
     ${main_ROOT}/DegreesConverter.cpp
 )
 
-qt5_add_resources(kgeotag_SOURCES ${CMAKE_SOURCE_DIR}/kgeotag.qrc)
+if(QT6)
+    qt6_add_resources(kgeotag_SOURCES ${CMAKE_SOURCE_DIR}/kgeotag.qrc)
+else()
+    qt5_add_resources(kgeotag_SOURCES ${CMAKE_SOURCE_DIR}/kgeotag.qrc)
+endif()
 
 # Build the executable
 add_executable(kgeotag ${kgeotag_SOURCES})
 add_dependencies(kgeotag UpdateVersion)
-target_link_libraries(kgeotag
-    PRIVATE
-    Qt5::Widgets
-    Qt5::Network
-    KF5::CoreAddons
-    KF5::I18n
-    KF5::XmlGui
-    KF5::ConfigWidgets
-    KF5::Crash
-    KF5::KExiv2
-    Marble
-)
+if(QT6)
+    target_link_libraries(kgeotag
+        PRIVATE
+        Qt6::Widgets
+        Qt6::Network
+        KF6::CoreAddons
+        KF6::I18n
+        KF6::XmlGui
+        KF6::ConfigWidgets
+        KF6::Crash
+        KExiv2Qt6
+        Marble
+    )
+else()
+    target_link_libraries(kgeotag
+        PRIVATE
+        Qt5::Widgets
+        Qt5::Network
+        KF5::CoreAddons
+        KF5::I18n
+        KF5::XmlGui
+        KF5::ConfigWidgets
+        KF5::Crash
+        KF5::KExiv2
+        Marble
+    )
+endif()
 
 # Documentation
-kdoctools_create_handbook(
-    doc/index.docbook
-    INSTALL_DESTINATION "${KDE_INSTALL_DOCBUNDLEDIR}/en"
-    SUBDIR kgeotag
-)
+add_subdirectory(doc)
 
 # Installation

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2024 Tobias Leupold <tl at stonemx dot de>
#
# SPDX-License-Identifier: BSD-3-Clause

kdoctools_create_handbook(
    index.docbook
    INSTALL_DESTINATION "${KDE_INSTALL_DOCBUNDLEDIR}/en"
    SUBDIR kgeotag
)

=== debian/changelog ===
kgeotag (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update copyright.
  * Remove trailing whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Mar 2025 17:58:33 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libmarble-dev (>= 4:24.11.70~),
                qt6-base-dev (>= 6.0~),
                qt6-5compat-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://kgeotag.kde.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kgeotag
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kgeotag.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DQT_MAJOR_VERSION=6

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
